#!/bin/bash

(for bench in "two_tanks_14_non_stable.hys" \
              "two_tanks_14_non_stutter.hys" \
              "two_tanks_14_possible_stutter.hys"; do
    echo "%% Benchmark: "$bench;
    echo "%% iSAT-ODE " `grep Revision all_log`;
    echo "\\begin{table}"
    echo "\\begin{tabular}{rcccc}";
    echo "Unwinding depth "\
         "& all, prabs=0.001 "\
         "& no bracketing, prabs=0.001 "\
         "& no direct, prabs = 0.001 "\
         "& no direction, prabs = 0.001 \\\\";
    for k in `seq 1 10`; do
        echo "k = "$k;
        for type in with_br \
                       without_br \
                       without_direct \
                       without_direction
            do
                file=$bench".out_k"$k"_"$type;
                echo " & "\
                    "\\"`egrep -o "unsat|satisfiable|unknown" $file `", \hfill"\
                    `grep "Time solver" $file | awk '{printf "%.1f", $6}'`\
                     "%"$file;
            done;
            echo "\\\\";
        done;
        echo "\\end{tabular}";
        echo "\\caption{Runtimes and solver results for "\
            `echo $bench| sed "s/_/\\\\\\_/g"`\
            ".}"
        echo "\\end{table}";
    done) > result_table.tex
