#!/bin/bash

# new: journal_version/benchmarks/two_tanks/two_tanks_14_final_bench_wilkinson_redone_20120318
# old: two_tanks/raw_results
OTHER=../../../../two_tanks/raw_results

(for bench in "two_tanks_14_non_stable.hys" \
              "two_tanks_14_non_stutter.hys" \
              "two_tanks_14_possible_stutter.hys"; do
    echo "%% Benchmark: "$bench;
    echo "\\begin{table*}"
    echo "\\resizebox{\\linewidth}{!}{"
    echo "\\begin{tabular}{r|ccr|ccr|ccr|ccr}";
    echo " & \multicolumn{3}{c|}{all} & \multicolumn{3}{c|}{no bracketing} & \multicolumn{3}{c|}{no direct} & \multicolumn{    3}{c}{no direction}\\\\";
    echo "depth "\
         "& old "\
         "& new "\
         "& o/n" \
         "& old "\
         "& new "\
         "& o/n" \
         "& old "\
         "& new "\
         "& o/n" \
         "& old "\
         "& new "\
         "& o/n\\\\";
    for k in `seq 1 10`; do
        echo "\\hline";
        echo $k;
        for type in with_br \
                       without_br \
                       without_direct \
                       without_direction
            do
                fileold=$OTHER"/"$bench".out_k"$k"_"$type;
                echo " & "\
                     "\\"`egrep -o "unsat|satisfiable|unknown" $fileold `", \\hfill"\
                     `grep "time solver" $fileold | awk '{printf "%.1f", $6}'`\
                     "%"$fileold;
                filenew=$bench".out_k"$k"_"$type;
                echo " & "\
                     "\\"`egrep -o "unsat|satisfiable|unknown" $filenew `", \\hfill"\
                     `grep "Time solver" $filenew | awk '{printf "%.1f", $6}'`\
                     "%"$filenew;
                echo " & ";
                printf "%.2f\n" `calc "round(\`tail -n 10000 $fileold | grep "time solver" | awk '{print $6}'\` / \`tail -n 10000 $filenew | grep "Time solver" | awk '{print $6}'\`,2)"`;
                echo "% old runtime / new runtime";
            done;
            echo "\\\\";
        done;
        echo "\\end{tabular}";
        echo "}";
        echo "\\caption{Comparison of runtimes and solver results for "`echo $bench | sed "s/_/\\\\\\_/g"`".}"
        echo "\\end{table*}"
    done) > result_table_cmp.tex
