#!/bin/bash

(for bench in "two_tanks_15_non_stutter.hys" \
              "two_tanks_15_possible_stutter.hys"; do
    echo "%% Benchmark: "$bench;
    echo "%% iSAT-ODE " `grep Revision all_log`;
    echo "%% prabs = 0.001"
    echo "\\begin{table*}"
    echo "\\begin{tabular}{rcccc}";
    echo "depth "\
         "& all "\
         "& no bracketing "\
         "& no direct "\
         "& no direction \\\\";
    for k in `seq 1 10`; do
        echo "\\hline";
        echo $k;
        for type in with_br \
                       without_br \
                       without_direct \
                       without_direction
            do
                file=$bench".out_k"$k"_"$type;
                echo " & "\
                    "\\"`egrep -o "unsat|satisfiable|unknown" $file `", \hfill"\
                    `grep "Time solver" $file | awk '{printf "%.1f", $6}'`\
                     "%"$file;
            done;
            echo "\\\\";
        done;
        echo "\\end{tabular}";
        echo "\\caption{Runtimes and solver results for "\
            `echo $bench| sed "s/_/\\\\\\_/g"`\
            ".}"
        echo "\\end{table*}";
    done) > result_table.tex
